MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025048Community[OCCT] OCCT:Modeling Algorithmspublic2014-07-03 18:362015-10-23 20:51
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025048: Wrong return value of GeomLib_Tool::Parameter
DescriptionThe line

if( iMin != 0 && Dist2Min <= aTol * aTol ) U = (extrema.Point(iMin)).Parameter();

is wrong. This is right now the line 314 of GeomLib_Tool.cxx. If a parametrical curve is processed and an extremum is found (see the lines before line 314) then this method will always return true. But the if clause stated above will not set the reference parameter U, if the tolerance condition is not fulfilled.

If no extremum was found which fulfills the tolerance condition, Standard_False has to be returned (according to the method documentation). Therefore the line above has to be changed to set some success variable to true, if U is set. Then this success variable has to be returned (which has to be false, if the tolerance condition was never fulfilled).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
has duplicate 0025393closedbugmaster GeomLib_Tool::parameter send back erroneous result for parametric curves 

-  Notes
(0042910)
git (administrator)
2015-07-10 14:10

Branch CR25048 has been created by ifv.

SHA-1: 8b9b6a3b55ccc86bb049ba7109023cbf1763cf2c


Detailed log of new commits:

Author: ifv
Date: Fri Jul 10 14:10:14 2015 +0300

    0025048: Wrong return value of GeomLib_Tool::Parameter
(0042911)
ifv (developer)
2015-07-10 14:12

Ok
(0042926)
git (administrator)
2015-07-10 16:32

Branch CR25048 has been updated forcibly by apv.

SHA-1: 8feedcef977c094d630ade8f10be9235c3570da4
(0042927)
apv (tester)
2015-07-10 16:33

Branch CR25048 has been rebased on the current master
(0042973)
apv (tester)
2015-07-13 16:09

Dear BugMaster,

Branch CR25048 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 8feedcef977c094d630ade8f10be9235c3570da4

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 95942850 / 96651091 [-0.73%]
Total CPU difference: 17444.149999999863 / 17391.679999999717 [+0.30%]

Testing on Windows:
Total MEMORY difference: 57154862 / 56555121 [+1.06%]
Total CPU difference: 16421.991268498827 / 15985.874872898929 [+2.73%]
(0044196)
git (administrator)
2015-08-14 10:56

Branch CR25048 has been deleted by inv.

SHA-1: 8feedcef977c094d630ade8f10be9235c3570da4

- Related Changesets
occt: master 3eb3fdd8
Timestamp: 2015-07-10 11:10:14
Author: ifv
Committer: bugmaster
Details ] Diff ]
0025048: Wrong return value of GeomLib_Tool::Parameter
mod - src/GeomLib/GeomLib_Tool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-03 18:36 BenjaminBihler New Issue
2014-07-03 18:36 BenjaminBihler Assigned To => ifv
2014-09-12 11:23 abv Target Version => 6.8.0
2014-09-26 16:38 abv Target Version 6.8.0 => 7.1.0
2015-05-22 10:58 ifv Relationship added related to 0025393
2015-07-10 14:10 git Note Added: 0042910
2015-07-10 14:11 ifv Status new => assigned
2015-07-10 14:11 ifv Status assigned => resolved
2015-07-10 14:11 ifv Steps to Reproduce Updated View Revisions
2015-07-10 14:12 ifv Note Added: 0042911
2015-07-10 14:12 ifv Assigned To ifv => bugmaster
2015-07-10 14:12 ifv Status resolved => reviewed
2015-07-10 14:14 ifv Relationship replaced has duplicate 0025393
2015-07-10 16:30 apv Assigned To bugmaster => apv
2015-07-10 16:32 git Note Added: 0042926
2015-07-10 16:33 apv Note Added: 0042927
2015-07-13 15:25 apv Test case number => Not needed
2015-07-13 16:09 apv Note Added: 0042973
2015-07-13 16:09 apv Assigned To apv => bugmaster
2015-07-13 16:09 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master 3eb3fdd8
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-31 14:44 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:56 git Note Added: 0044196
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker